# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gmake gcc-c++
# END SourceDeps(oneline)
Name: CCfits
Version: 2.4
Release: alt1_8
Summary: A C++ interface for cfitsio

Group: Development/C
License: BSD
URL: http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits
Source0: http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/%{name}-%{version}.tar.gz
Patch0: CCfits-1.6-removerpath.patch

BuildRequires: cfitsio-devel
Source44: import.info

%description
CCfits is an object oriented interface to the cfitsio library. It is designed 
to make the capabilities of cfitsio available to programmers working in C++. 
It is written in ANSI C++ and implemented using the C++ Standard Library 
with namespaces, exception handling, and member template functions.

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
%description devel
These are the header files and libraries needed to develop a %{name} 
application.

%package doc
Summary: Documentation for %{name}, includes full API docs
Group: Documentation
BuildArch: noarch
 
%description doc
This package contains the full API documentation for %{name}.

%prep
%setup -q -n CCfits
%patch0 -p1
rm -rf %{_builddir}/%{name}/html/*.pl

%build
%configure --disable-static --with-cfitsio=%{_prefix} --with-cfitsio-include=%{_includedir}/cfitsio
make %{?_smp_mflags}

%install
make %{?_smp_mflags}  install DESTDIR=%{buildroot}

%files
%doc License.txt
%{_libdir}/*so.*

%files devel
%doc CHANGES 
%exclude %{_bindir}/cookbook
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files doc
%doc License.txt html

%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_8
- initial fc import

